xslt_backend_version
xslt_errno
XSLT Functions
PHP Manual

# xslt_create

(PHP 4 >= 4.0.3)

xslt_create — Create a new XSLT processor

### Description

resource xslt_create ( void )

Create and return a new XSLT processor resource for manipulation by the other XSLT functions.

### Return Values

Returns an XSLT processor link identifier on success, or `FALSE` on error.

### Examples

Example #1 xslt_create() example

`<?php
function xml2html($xmldata, $xsl)
{
/* $xmldata -> your XML */
/* $xsl -> XSLT file */
$path = 'include';
$arguments = array('/_xml' => $xmldata);
$xsltproc = xslt_create();
xslt_set_encoding($xsltproc, 'ISO-8859-1');
$html =
xslt_process($xsltproc, 'arg:/_xml', "$path/$xsl", NULL, $arguments);
if (empty($html)) {
die('XSLT processing error: '. xslt_error($xsltproc));
}
xslt_free($xsltproc);
return $html;
}
?>`

### See Also

- xslt_free()

xslt_backend_version
xslt_errno
XSLT Functions
PHP Manual